<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
RemoveReference Method (IEdmEnumeratorCustomReference5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorCustomReference5 Interface : RemoveReference Method (IEdmEnumeratorCustomReference5)

Visual Basic
C#
C++/CLI

lFileID
  ID of file to remove

lFolderID
  ID of the file's parent folder

Removes the specified custom file reference from this file.

# Syntax

Visual Basic |
--- | ---

    Sub RemoveReference( _
       ByVal lFileID As System.Integer, _
       ByVal lFolderID As System.Integer _
    )

C# |
--- | ---

    void RemoveReference(
       System.int lFileID,
       System.int lFolderID
    )

C++/CLI |
--- | ---

    void RemoveReference(
    &   System.int lFileID,
    &   System.int lFolderID
    )

#### Parameters

lFileID
  ID of file to remove
lFolderID
  ID of the file's parent folder

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_FILE_NOT_LOCKED_BY_YOU: The file is not checked out.

# See Also

####

IEdmEnumeratorCustomReference5 Interface
IEdmEnumeratorCustomReference5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2